~carbslinux/repository

3f17c8c2a94792638ef1849c97862bd1380cbb0e — Cem Keylan 2 years ago 4414ced
META: Fix all usage of kiss, replace all with cpt
M community/openssh/build => community/openssh/build +1 -1
@@ 1,7 1,7 @@
#!/bin/sh -e

# Adds optional libedit support
kiss l libedit >/dev/null 2>&1 &&
cpt-list libedit >/dev/null 2>&1 &&
    libedit="--with-libedit"

./configure \

M core/sinit/message => core/sinit/message +13 -15
@@ 1,20 1,18 @@
!! IMPORTANT !!

To start using sinit, edit
/etc/init/sinit-launch-services.boot
And uncomment the getty function, and
Optionally uncomment the runit function
If you deem necessary.
To start using sinit, edit /etc/init/sinit-launch-services.boot and uncomment
the getty function, and optionally uncomment the runit function if you deem
necessary.

sinit is installed as /usr/bin/sinit. It
can fully replace busybox init by running
the following command.
sinit is installed as /usr/bin/sinit. It can fully replace busybox init by
running the following command.

      kiss a | grep ^sinit | kiss a -
    +----------------------------------------+
    |                                        |
    |  cpt a | grep ^sinit | cpt a -         |
    |                                        |
    +----------------------------------------+

NOTE: If swapping from busybox init on a 
      running system, shutdown/reboot by 
      invoking 'busybox-init poweroff'. 
      sinit's poweroff/reboot utilities 
      can't be of use until it is actually 
      running.
NOTE: If swapping from busybox init on a running system, shutdown/reboot by 
      invoking 'busybox-init poweroff'.  sinit's poweroff/reboot utilities 
      can't be of use until it is actually running.

M extra/cmake/build => extra/cmake/build +1 -1
@@ 2,7 2,7 @@

# Use cmake to build cmake if installed.
# This leads to a much faster build.
if kiss l cmake; then
if cpt-list cmake; then
    cmake -B build \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_INSTALL_LIBDIR=/usr/lib \

M extra/distcc/build => extra/distcc/build +1 -1
@@ 2,7 2,7 @@

# Running distcc as a server instead of a client
# requires python to be installed.
kiss l python >/dev/null 2>&1 || pump=disable
cpt-list python >/dev/null 2>&1 || pump=disable

export CFLAGS="$CFLAGS -fcommon"


M extra/libressl/files/update-certdata.sh => extra/libressl/files/update-certdata.sh +3 -3
@@ 2,12 2,12 @@
#
# update-certdata.sh

[ -w "$KISS_ROOT/etc/ssl" ] || {
    printf '%s\n' "${0##*/}: root required to update cert." >&2
[ -w "$CPT_ROOT/etc/ssl" ] || {
    printf '%s\n' "${0##*/}: root required to update CA certificates." >&2
    exit 1
}

cd "$KISS_ROOT/etc/ssl" && {
cd "$CPT_ROOT/etc/ssl" && {
    wget https://curl.haxx.se/ca/cacert.pem
    mv -f cacert.pem cert.pem
    printf '%s\n' "${0##*/}: updated cert.pem"

M extra/libressl/post-install => extra/libressl/post-install +1 -1
@@ 1,3 1,3 @@
#!/bin/sh

"$KISS_ROOT/etc/ssl/update-certdata.sh"
"$CPT_ROOT/etc/ssl/update-certdata.sh"

M extra/opendoas/files/doas.conf => extra/opendoas/files/doas.conf +7 -3
@@ 4,12 4,16 @@

# KEEP THIS AT THE BOTTOM.

# This is required if you want to use kiss with 'doas'
# permit keepenv setenv { HOME } :wheel cmd kiss
# This is required if you want to use cpt with 'doas'
# permit keepenv setenv { HOME } :wheel cmd /usr/bin/cpt-alternatives
# permit keepenv setenv { HOME } :wheel cmd /usr/bin/cpt-install
# permit keepenv setenv { HOME } :wheel cmd /usr/bin/cpt-remove
# permit :wheel cmd git args fetch
# permit :wheel cmd git args merge

# Same without asking password
# permit nopass keepenv setenv { HOME } :wheel cmd kiss
# permit nopass keepenv setenv { HOME } :wheel cmd /usr/bin/cpt-alternatives
# permit nopass keepenv setenv { HOME } :wheel cmd /usr/bin/cpt-install
# permit nopass keepenv setenv { HOME } :wheel cmd /usr/bin/cpt-remove
# permit nopass :wheel cmd git args fetch
# permit nopass :wheel cmd git args merge

M extra/ubase/build => extra/ubase/build +1 -1
@@ 9,6 9,6 @@ make DESTDIR="$1" PREFIX=/usr ubase-box-install
unlink "$1/usr/bin/stat"

# You cannot execute commands with the ubase
# implementation of su, which might break kiss
# implementation of su, which might break cpt
# if the user doesn't have sudo or doas installed.
unlink "$1/usr/bin/su"

M xorg/libinput/message => xorg/libinput/message +1 -1
@@ 2,7 2,7 @@ NOTE: You must be a part of the input group
      for libinput to work.

NOTE: This groups based permissions model may not
      be suitable if KISS will be used as a multi
      be suitable if Carbs Linux will be used as a multi
      user system. Further configuration can be
      done at your own discretion.


M xorg/xorg-server/message => xorg/xorg-server/message +1 -1
@@ 2,7 2,7 @@ NOTE: You must be a part of the video group
      for rootless xorg-server to work.

NOTE: This groups based permissions model may not
      be suitable if KISS will be used as a multi
      be suitable if Carbs Linux will be used as a multi
      user system. Further configuration can be
      done at your own discretion.